[tor-commits] [tor-browser-bundle/master] Conceal useragent during downloads.

mikeperry at torproject.org mikeperry at torproject.org
Thu Nov 21 21:26:58 UTC 2013


commit d423a3ed4163b4cdac53a21fcb2bed5914393ad9
Author: Mike Perry <mikeperry-git at torproject.org>
Date:   Thu Nov 21 13:26:15 2013 -0800

    Conceal useragent during downloads.
---
 gitian/fetch-inputs.sh |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/gitian/fetch-inputs.sh b/gitian/fetch-inputs.sh
index 19b3509..82a0b50 100755
--- a/gitian/fetch-inputs.sh
+++ b/gitian/fetch-inputs.sh
@@ -72,7 +72,7 @@ get() {
   local file="$1"; shift
   local url="$1"; shift
 
-  if ! wget -N "$url"; then
+  if ! wget -U "" -N "$url"; then
     echo >&2 "Error: Cannot download $url"
     mv "${file}" "${file}.DLFAILED"
     exit 1
@@ -155,7 +155,7 @@ for i in OSXSDK #OPENSSL
 do
   URL="${i}_URL"
   PACKAGE="${i}_PACKAGE"
-  if ! wget -N --no-remove-listing "${!URL}"; then
+  if ! wget -U "" -N --no-remove-listing "${!URL}"; then
     echo "$i url ${!URL} is broken!"
     mv "${!PACKAGE}" "${!PACKAGE}.removed"
     exit 1
@@ -168,7 +168,7 @@ done
 cd ..
 
 # NoScript and PDF.JS are magikal and special:
-wget -N ${NOSCRIPT_URL}
+wget -U "" -N ${NOSCRIPT_URL}
 
 # So is mingw:
 if [ ! -f mingw-w64-svn-snapshot.zip ];
@@ -199,13 +199,13 @@ cd langpacks-$FIREFOX_LANG_VER
 for i in $BUNDLE_LOCALES
 do
   cd linux-langpacks
-  wget -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/linux-i686/xpi/$i.xpi"
+  wget -U "" -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/linux-i686/xpi/$i.xpi"
   cd ..
   cd win32-langpacks
-  wget -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/win32/xpi/$i.xpi"
+  wget -U "" -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/win32/xpi/$i.xpi"
   cd ..
   cd mac-langpacks
-  wget -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/mac/xpi/$i.xpi"
+  wget -U "" -N "https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$FIREFOX_LANG_VER/mac/xpi/$i.xpi"
   cd ..
 done
 



More information about the tor-commits mailing list